# Bill Validation response by client request id api

Endpoint:\
Request: GET /couapp/bills/validate/byClientId?clientReqId=vgRdasd248

#### Request body

<table><thead><tr><th width="244">Parent Property/Element</th><th width="224">Property/Element Name</th><th width="147">Mandatory</th><th width="161">Data Type</th><th width="280">Description</th></tr></thead><tbody><tr><td>[ROOT] (No parent property / element)</td><td>clientReqId</td><td>M</td><td>Alphanumeric</td><td>Fixed Length – 10</td></tr></tbody></table>

#### Response body

<table><thead><tr><th width="244">Parent Property/Element</th><th width="225">Property/Element Name</th><th width="156">Mandatory</th><th width="144">Data Type</th><th width="284">Description</th></tr></thead><tbody><tr><td>[ROOT] (No parent property / element)</td><td>billId</td><td>M</td><td>UUID</td><td>Machine-generated Unique ID for a Bill, used internally</td></tr><tr><td></td><td>refId</td><td>M</td><td>Alphanumeric</td><td>Code generated by the Biller Operating Unit that acquires the customer for every bill fetch transaction initiated and used across all messages</td></tr><tr><td></td><td>billerId</td><td>M</td><td>String</td><td>Unique ID assigned to the Biller by NPCI Fixed length - 14</td></tr><tr><td></td><td>status</td><td>M</td><td>String</td><td>Status of the Operation Possible values : BILL_FETCH_REQUESTED, BILL_FETCH_INITIATED, BILL_FETCH_SUCCESS, BILL_FETCH_FAILED</td></tr><tr><td></td><td>actionType</td><td>C</td><td>String</td><td>Type of Bill Payment. Possible Values: BILL_FETCH QUICKPAY BILL_VALIDATE</td></tr><tr><td></td><td>userId</td><td>M</td><td>Alphanumeric</td><td>Agent id Fixed length - 20</td></tr><tr><td></td><td>creationDate</td><td>M</td><td>String</td><td>ISO 8601 Timestamp for the Bill Creation date</td></tr><tr><td></td><td>modifiedDate</td><td>M</td><td>String</td><td>ISO 8601 Timestamp for the Bill Modification date</td></tr><tr><td></td><td>createdEpochDate</td><td>M</td><td>Numeric</td><td>UNIX Epoch Timestamp for the Bill Creation date</td></tr><tr><td></td><td>modifiedEpochDate</td><td>M</td><td>Numeric</td><td>UNIX Epoch Timestamp for the Bill Modification date</td></tr><tr><td></td><td>billId</td><td>M</td><td>String</td><td>Machine-generated Unique ID for a Bill, used internally</td></tr><tr><td></td><td>amount</td><td>M</td><td>String</td><td>Actual bill amount inclusive of all charges</td></tr><tr><td></td><td>billDate</td><td>M</td><td>String</td><td>This field denotes generation date of the bill</td></tr><tr><td></td><td>billNumber</td><td>M</td><td>String</td><td>This field denotes the bill number of the bill fetch / payment message requested</td></tr><tr><td></td><td>billPeriod</td><td>M</td><td>String</td><td>The bill period of the bill fetch / payment requested</td></tr><tr><td></td><td>custConvFee</td><td>M</td><td>String</td><td>Customer convenience fee (CCF1) paid by the Customer Operating Unit</td></tr><tr><td></td><td>couCustConvFee</td><td>M</td><td>String</td><td>Customer convenience fee (CCF2), paid by the Customer to Customer Operating Unit</td></tr><tr><td></td><td>dueDate</td><td>M</td><td>String</td><td>This field denotes due date of the bill</td></tr><tr><td></td><td>customerName</td><td>M</td><td>String</td><td>This field denotes due date of the bill</td></tr><tr><td></td><td>amountOption</td><td>M</td><td>Boolean</td><td>A flag indicating if the Biller supports Amount Options</td></tr><tr><td></td><td>tagList</td><td>M</td><td>String</td><td>Amount Breakup Options eg:{"name": "Additional Charges", "value": "500"}</td></tr><tr><td>additionalInfo</td><td>name</td><td>C</td><td>String</td><td>Name of the Additional Info Parameter</td></tr><tr><td></td><td>value</td><td>C</td><td>String</td><td>Value of the Additional Info Parameter</td></tr><tr><td>customerParams</td><td>name</td><td>C</td><td>String</td><td>Name of the Customer Parameter attribute</td></tr><tr><td></td><td>value</td><td>C</td><td>String</td><td>Value of the Customer Parameter attribute</td></tr></tbody></table>

```json
{
    "genericResponse": null,
    "billId": "c9670952-ebd7-487a-b6ea-49f2b4d4a718",
    "refId": "ukpeZdOmtQCK4ByLFatdrWhtIiucPIXigYF",
    "billerId": "HUNG00000NATJL",
    "status": "BILL_VALIDATE_SUCCESS",
    "actionType": "VALIDATE_PAY",
    "userId": "FE41FE42BNK519012345",
    "billerResponse": null,
    "additionalInfo": [],
    "customerParams": [
        {
            "name": "Mobile Number",
            "value": "8281970522",
            "type": null
        },
        {
            "name": "Email ID",
            "value": "jithesh@digiledge.in",
            "type": null
        },
        {
            "name": "Id",
            "value": "2862",
            "type": null
        }
    ],
    "planInfoDaos": [],
    "creationDate": "2021-12-09T10:27:57.889640",
    "modifiedDate": "2021-12-09T10:28:02.775484",
    "createdEpochDate": 1639045677,
    "modifiedEpochDate": 1639045682
}
```
